Bug 1956659

Summary: [RFE] Anaconda: Separate mount point required by OSCAP should show up in the drop-down list within the partitioning page
Product: Red Hat Enterprise Linux 8 Reporter: Jan Stodola <jstodola>
Component: anacondaAssignee: Anaconda Maintenance Team <anaconda-maint-list>
Status: NEW --- QA Contact: Release Test Team <release-test-team>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 8.1CC: ableisch, anaconda-maint-list, jkonecny, jstodola, kwalker, matyc, mkolman, release-test-team, sbarcomb
Target Milestone: rcKeywords: FutureFeature
Target Release: 8.0   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: 1781796 Environment:
Last Closed: Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Jan Stodola 2021-05-04 07:56:35 UTC
+++ This bug was initially created as a clone of Bug #1781796 +++

--- Additional comment from Andreas Bleischwitz on 2020-07-24 08:47:04 CEST ---

Hi,

the request was raised as my user was installing a system manually via anaconda, applied a OSCAP profile which required some filesystems to be separated. As he did just a standard partitioning, those were flagged as missing. Due to the fact that the information-box showing this message was quite tiny for such messages, he struggled to identify and manually add the missing partitions/mount-points. Additionally some missing mount-options had been reported, but those should be added automatically.

From a user perspective it would be great if the filesystems (or mount-points) which should get separated would show up in the drop-down list within the partitioning page. That way a user would easily be able to identify which filesystems will have to get created.

Comment 1 Jiri Konecny 2021-05-20 09:48:21 UTC
Copying the question from bug 1781796:

To tailor the dropdown menu (or maybe even add constrains to Anaconda partitioning checker) based on the policy selected by OSCAP we would have to provide the OSCAP addon an API to be possible to tell us mount point what have to be present or are recommended. Then they should be able to just fill the requirements there.

The question is, if they are possible to tell us what is requested. I'm not familiar of how OSCAP works on this field and these data may not be propagated to the Anaconda OSCAP addon. Could OSCAP developers please confirm that they are able to use API such that from the Anaconda when it's present and if such a solution would be feasible for you?

Comment 2 Matěj Týč 2021-06-16 14:07:52 UTC
Sorry for taking so long - the answer is that we could make use of such API - we are able to specify that we require separate partition for a mount point with a certain set of mount options.